

drivers/block/cfq-iosched.c: In function `cfq_status_show':
drivers/block/cfq-iosched.c:1660: warning: long long unsigned int format, sector_t arg (arg 3)
drivers/block/cfq-iosched.c:1660: warning: long long unsigned int format, sector_t arg (arg 3)

sector_t is `unsigned long' on ppc64.

Also, make code readable in 80 cols.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/cfq-iosched.c |   21 ++++++++++++++++-----
 1 files changed, 16 insertions(+), 5 deletions(-)

diff -puN drivers/block/cfq-iosched.c~cfq-warnings drivers/block/cfq-iosched.c
--- 25/drivers/block/cfq-iosched.c~cfq-warnings	2004-09-15 23:04:16.679884392 -0700
+++ 25-akpm/drivers/block/cfq-iosched.c	2004-09-15 23:04:16.685883480 -0700
@@ -1657,9 +1657,12 @@ cfq_status_show(struct cfq_data *cfqd, c
 	int i = 0, queues;
 
 	len = sprintf(page, "Busy queues: %u\n", cfqd->busy_queues);
-	len += sprintf(page+len, "key type: %s\n", cfq_key_types[cfqd->key_type]);
-	len += sprintf(page+len, "last sector: %Lu\n", (u64) cfqd->last_sector);
-	len += sprintf(page+len, "max time in iosched: %lu\n", max_elapsed_dispatch);
+	len += sprintf(page+len, "key type: %s\n",
+				cfq_key_types[cfqd->key_type]);
+	len += sprintf(page+len, "last sector: %Lu\n",
+				(unsigned long long)cfqd->last_sector);
+	len += sprintf(page+len, "max time in iosched: %lu\n",
+				max_elapsed_dispatch);
 	len += sprintf(page+len, "max completion time: %lu\n", max_elapsed_crq);
 
 	len += sprintf(page+len, "Busy queue list:\n");
@@ -1667,7 +1670,11 @@ cfq_status_show(struct cfq_data *cfqd, c
 	list_for_each(entry, &cfqd->rr_list) {
 		i++;
 		cfqq = list_entry_cfqq(entry);
-		len += sprintf(page+len, "  cfqq: key=%lu alloc=%d/%d, queued=%d/%d, last_fifo=%lu, service_used=%lu\n", cfqq->key, cfqq->allocated[0], cfqq->allocated[1], cfqq->queued[0], cfqq->queued[1], cfqq->last_fifo_expire, cfqq->service_used);
+		len += sprintf(page+len, "  cfqq: key=%lu alloc=%d/%d, "
+			"queued=%d/%d, last_fifo=%lu, service_used=%lu\n",
+			cfqq->key, cfqq->allocated[0], cfqq->allocated[1],
+			cfqq->queued[0], cfqq->queued[1],
+			cfqq->last_fifo_expire, cfqq->service_used);
 	}
 	len += sprintf(page+len, "  busy queues total: %d\n", i);
 	queues = i;
@@ -1677,7 +1684,11 @@ cfq_status_show(struct cfq_data *cfqd, c
 	list_for_each(entry, &cfqd->empty_list) {
 		i++;
 		cfqq = list_entry_cfqq(entry);
-		len += sprintf(page+len, "  cfqq: key=%lu alloc=%d/%d, queued=%d/%d, last_fifo=%lu, service_used=%lu\n", cfqq->key, cfqq->allocated[0], cfqq->allocated[1], cfqq->queued[0], cfqq->queued[1], cfqq->last_fifo_expire, cfqq->service_used);
+		len += sprintf(page+len, "  cfqq: key=%lu alloc=%d/%d, "
+			"queued=%d/%d, last_fifo=%lu, service_used=%lu\n",
+			cfqq->key, cfqq->allocated[0], cfqq->allocated[1],
+			cfqq->queued[0], cfqq->queued[1],
+			cfqq->last_fifo_expire, cfqq->service_used);
 	}
 	len += sprintf(page+len, "  empty queues total: %d\n", i);
 	queues += i;
_
